Package org.apache.sysds.runtime.io.cog

# Class COGCompressionUtils

java.lang.Object
org.apache.sysds.runtime.io.cog.COGCompressionUtils

public class COGCompressionUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`COGCompressionUtils()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`decompressDeflate(byte[] compressedData)`
Decompresses a byte array that was compressed using the Deflate algorithm

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### COGCompressionUtils

public COGCompressionUtils()

## Method Details

### decompressDeflate

public static byte[] decompressDeflate(byte[] compressedData) throws DMLRuntimeException
Decompresses a byte array that was compressed using the Deflate algorithm

Parameters:
  `compressedData` - ???
Returns:
  ???
Throws:
  `DMLRuntimeException` - ???